{
  "parent": "item/generated",
  "textures": {
    "layer0": "tiedup:item/ball_gag_strap"
  },
  "overrides": [
    {
      "predicate": {
        "custom_model_data": 1
      },
      "model": "tiedup:item/ball_gag_strap_black"
    },
    {
      "predicate": {
        "custom_model_data": 2
      },
      "model": "tiedup:item/ball_gag_strap_blue"
    },
    {
      "predicate": {
        "custom_model_data": 3
      },
      "model": "tiedup:item/ball_gag_strap_brown"
    },
    {
      "predicate": {
        "custom_model_data": 4
      },
      "model": "tiedup:item/ball_gag_strap_cyan"
    },
    {
      "predicate": {
        "custom_model_data": 5
      },
      "model": "tiedup:item/ball_gag_strap_gray"
    },
    {
      "predicate": {
        "custom_model_data": 6
      },
      "model": "tiedup:item/ball_gag_strap_green"
    },
    {
      "predicate": {
        "custom_model_data": 7
      },
      "model": "tiedup:item/ball_gag_strap_light_blue"
    },
    {
      "predicate": {
        "custom_model_data": 8
      },
      "model": "tiedup:item/ball_gag_strap_lime"
    },
    {
      "predicate": {
        "custom_model_data": 9
      },
      "model": "tiedup:item/ball_gag_strap_magenta"
    },
    {
      "predicate": {
        "custom_model_data": 10
      },
      "model": "tiedup:item/ball_gag_strap_orange"
    },
    {
      "predicate": {
        "custom_model_data": 11
      },
      "model": "tiedup:item/ball_gag_strap_pink"
    },
    {
      "predicate": {
        "custom_model_data": 12
      },
      "model": "tiedup:item/ball_gag_strap_purple"
    },
    {
      "predicate": {
        "custom_model_data": 14
      },
      "model": "tiedup:item/ball_gag_strap_silver"
    },
    {
      "predicate": {
        "custom_model_data": 15
      },
      "model": "tiedup:item/ball_gag_strap_white"
    },
    {
      "predicate": {
        "custom_model_data": 16
      },
      "model": "tiedup:item/ball_gag_strap_yellow"
    }
  ]
}